INTERFACE
SUBROUTINE COBS(KSTART,KPROF,KSTGLO,KPROFE,&
 & PGNORDL,PGNORDM,PESIG,PGM,POROG,PRCORI,&
 & PGMV,PGMVS,PGFL,PPARITY,PB1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NFTHER ,NPROMA
USE YOMSC2 , ONLY : NFLDOBB1
USE YOMMP , ONLY : NSLCORE ,NASLB1
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS,YT0
USE YOM_YGFL , ONLY : YGFL
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
INTEGER(KIND=JPIM),INTENT(IN) :: KPROFE
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARITY(NFLDOBB1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB1(NASLB1,NFLDOBB1)
END SUBROUTINE COBS
END INTERFACE
